com.tibco.bpm.service.connector

## Class DocumentService

- java.lang.Object
- - com.tibco.bpm.service.connector.DocumentService

- All Implemented Interfaces:
    DocumentService

      public class DocumentService
      extends java.lang.Object
      implements DocumentService

  Provides access to the BusinessDataServicesPublicService interfaces.

  ©2013 TIBCO Software Inc.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.document.CreateDocumentResponseType` | `createDocument(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState, java.lang.String mimeType, byte[] content, boolean returnMetadata)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `com.tibco.bds.api.document.CreateDocumentResponseType` | `createDocument(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState, java.lang.String mimeType, java.lang.String contentURL, boolean returnMetadata)`
    `org.apache.xmlbeans.XmlObject` | `deleteDocument(java.lang.String reference)`
    `com.tibco.bds.api.document.DeleteOrphanedFoldersResponseType` | `deleteOrphanedFolders(java.util.Calendar deletedDateTime, boolean returnFailures)`
    `com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[]` | `findDocuments(com.tibco.bds.api.document.OwnerReference owner, com.tibco.bds.api.document.QueryAndDocumentType query, boolean returnMetadata)`
    `com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[]` | `findDocuments(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, boolean returnMetadata)`
    `com.tibco.bds.api.document.GetDocumentContentResponseType` | `getDocumentContent(java.lang.String reference)`
    `com.tibco.bds.api.document.DocumentMetadata` | `getDocumentMetadata(java.lang.String reference)`
    `com.tibco.bds.api.document.RepositoryItem[]` | `getFolderContent(com.tibco.bds.api.document.OwnerReference owner, int depth, boolean returnMetadata)`
    `com.tibco.bds.api.document.RepositoryItem[]` | `getFolderContent(java.lang.String folderRef, int depth, boolean returnMetadata)`
    `com.tibco.bds.api.document.GetRepositoryInfoResponseType` | `getRepositoryInfo()`
    `org.apache.xmlbeans.XmlObject` | `linkDocument(com.tibco.bds.api.document.DocumentSpecifier documentSpecifier, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `org.apache.xmlbeans.XmlObject` | `linkDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `java.lang.String` | `moveDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference sourceOwner, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `org.apache.xmlbeans.XmlObject` | `unlinkDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference targetOwner)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDocument

          public com.tibco.bds.api.document.CreateDocumentResponseType createDocument(com.tibco.bds.api.document.OwnerReference owner,
                                                                                      java.lang.String name,
                                                                                      com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState,
                                                                                      java.lang.String mimeType,
                                                                                      byte[] content,
                                                                                      boolean returnMetadata)
                                                                               throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                      com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                      com.tibco.bds.services.InvalidDataFault,
                                                                                      com.tibco.bds.services.SecurityFault,
                                                                                      com.tibco.bds.services.InternalServiceFault

      Description copied from interface: `DocumentService`
      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Specified by:
        `createDocument` in interface `DocumentService`
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.InvalidDataFault`

    - #### createDocument

          public com.tibco.bds.api.document.CreateDocumentResponseType createDocument(com.tibco.bds.api.document.OwnerReference owner,
                                                                                      java.lang.String name,
                                                                                      com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState,
                                                                                      java.lang.String mimeType,
                                                                                      java.lang.String contentURL,
                                                                                      boolean returnMetadata)
                                                                               throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                      com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                      com.tibco.bds.services.InvalidDataFault,
                                                                                      com.tibco.bds.services.SecurityFault,
                                                                                      com.tibco.bds.services.InternalServiceFault

      Specified by:
        `createDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### deleteDocument

          public org.apache.xmlbeans.XmlObject deleteDocument(java.lang.String reference)
                                                       throws com.tibco.bds.services.DocumentReferenceFault,
                                                              com.tibco.bds.services.InvalidDataFault,
                                                              com.tibco.bds.services.DocumentStoreAccessFault,
                                                              com.tibco.bds.services.SecurityFault,
                                                              com.tibco.bds.services.InternalServiceFault

      Specified by:
        `deleteDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### moveDocument

          public java.lang.String moveDocument(java.lang.String documentReference,
                                               com.tibco.bds.api.document.OwnerReference sourceOwner,
                                               com.tibco.bds.api.document.OwnerReference targetOwner)
                                        throws com.tibco.bds.services.OwnerReferenceFault,
                                               com.tibco.bds.services.DocumentReferenceFault,
                                               com.tibco.bds.services.InvalidDataFault,
                                               com.tibco.bds.services.DocumentStoreAccessFault,
                                               com.tibco.bds.services.SecurityFault,
                                               com.tibco.bds.services.InternalServiceFault

      Specified by:
        `moveDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### linkDocument

          public org.apache.xmlbeans.XmlObject linkDocument(java.lang.String documentReference,
                                                            com.tibco.bds.api.document.OwnerReference targetOwner)
                                                     throws com.tibco.bds.services.OwnerReferenceFault,
                                                            com.tibco.bds.services.DocumentReferenceFault,
                                                            com.tibco.bds.services.InvalidDataFault,
                                                            com.tibco.bds.services.DocumentStoreAccessFault,
                                                            com.tibco.bds.services.SecurityFault,
                                                            com.tibco.bds.services.InternalServiceFault

      Specified by:
        `linkDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### linkDocument

          public org.apache.xmlbeans.XmlObject linkDocument(com.tibco.bds.api.document.DocumentSpecifier documentSpecifier,
                                                            com.tibco.bds.api.document.OwnerReference targetOwner)
                                                     throws com.tibco.bds.services.OwnerReferenceFault,
                                                            com.tibco.bds.services.DocumentReferenceFault,
                                                            com.tibco.bds.services.InvalidDataFault,
                                                            com.tibco.bds.services.DocumentStoreAccessFault,
                                                            com.tibco.bds.services.SecurityFault,
                                                            com.tibco.bds.services.InternalServiceFault

      Specified by:
        `linkDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### unlinkDocument

          public org.apache.xmlbeans.XmlObject unlinkDocument(java.lang.String documentReference,
                                                              com.tibco.bds.api.document.OwnerReference targetOwner)
                                                       throws com.tibco.bds.services.OwnerReferenceFault,
                                                              com.tibco.bds.services.DocumentReferenceFault,
                                                              com.tibco.bds.services.InvalidDataFault,
                                                              com.tibco.bds.services.DocumentStoreAccessFault,
                                                              com.tibco.bds.services.SecurityFault,
                                                              com.tibco.bds.services.InternalServiceFault

      Specified by:
        `unlinkDocument` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getDocumentMetadata

          public com.tibco.bds.api.document.DocumentMetadata getDocumentMetadata(java.lang.String reference)
                                                                          throws com.tibco.bds.services.DocumentReferenceFault,
                                                                                 com.tibco.bds.services.InvalidDataFault,
                                                                                 com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                 com.tibco.bds.services.SecurityFault,
                                                                                 com.tibco.bds.services.InternalServiceFault

      Specified by:
        `getDocumentMetadata` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getDocumentContent

          public com.tibco.bds.api.document.GetDocumentContentResponseType getDocumentContent(java.lang.String reference)
                                                                                       throws com.tibco.bds.services.DocumentReferenceFault,
                                                                                              com.tibco.bds.services.InvalidDataFault,
                                                                                              com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                              com.tibco.bds.services.SecurityFault,
                                                                                              com.tibco.bds.services.InternalServiceFault

      Specified by:
        `getDocumentContent` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### findDocuments

          public com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[] findDocuments(com.tibco.bds.api.document.OwnerReference owner,
                                                                                                 java.lang.String name,
                                                                                                 boolean returnMetadata)
                                                                                          throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                                 com.tibco.bds.services.InvalidDataFault,
                                                                                                 com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                                 com.tibco.bds.services.SecurityFault,
                                                                                                 com.tibco.bds.services.InternalServiceFault

      Specified by:
        `findDocuments` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### findDocuments

          public com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[] findDocuments(com.tibco.bds.api.document.OwnerReference owner,
                                                                                                 com.tibco.bds.api.document.QueryAndDocumentType query,
                                                                                                 boolean returnMetadata)
                                                                                          throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                                 com.tibco.bds.services.InvalidDataFault,
                                                                                                 com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                                 com.tibco.bds.services.SecurityFault,
                                                                                                 com.tibco.bds.services.InternalServiceFault

      Specified by:
        `findDocuments` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getFolderContent

          public com.tibco.bds.api.document.RepositoryItem[] getFolderContent(com.tibco.bds.api.document.OwnerReference owner,
                                                                              int depth,
                                                                              boolean returnMetadata)
                                                                       throws com.tibco.bds.services.OwnerReferenceFault,
                                                                              com.tibco.bds.services.FolderReferenceFault,
                                                                              com.tibco.bds.services.InvalidDataFault,
                                                                              com.tibco.bds.services.DocumentStoreAccessFault,
                                                                              com.tibco.bds.services.SecurityFault,
                                                                              com.tibco.bds.services.InternalServiceFault

      Specified by:
        `getFolderContent` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.FolderReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getFolderContent

          public com.tibco.bds.api.document.RepositoryItem[] getFolderContent(java.lang.String folderRef,
                                                                              int depth,
                                                                              boolean returnMetadata)
                                                                       throws com.tibco.bds.services.OwnerReferenceFault,
                                                                              com.tibco.bds.services.FolderReferenceFault,
                                                                              com.tibco.bds.services.InvalidDataFault,
                                                                              com.tibco.bds.services.DocumentStoreAccessFault,
                                                                              com.tibco.bds.services.SecurityFault,
                                                                              com.tibco.bds.services.InternalServiceFault

      Specified by:
        `getFolderContent` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.FolderReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### deleteOrphanedFolders

          public com.tibco.bds.api.document.DeleteOrphanedFoldersResponseType deleteOrphanedFolders(java.util.Calendar deletedDateTime,
                                                                                                    boolean returnFailures)
                                                                                             throws com.tibco.bds.services.InvalidDataFault,
                                                                                                    com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                                    com.tibco.bds.services.SecurityFault,
                                                                                                    com.tibco.bds.services.InternalServiceFault

      Specified by:
        `deleteOrphanedFolders` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getRepositoryInfo

          public com.tibco.bds.api.document.GetRepositoryInfoResponseType getRepositoryInfo()
                                                                                     throws com.tibco.bds.services.InvalidDataFault,
                                                                                            com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                            com.tibco.bds.services.SecurityFault,
                                                                                            com.tibco.bds.services.InternalServiceFault

      Specified by:
        `getRepositoryInfo` in interface `DocumentService`
      Throws:
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.